Post by mcurtis » Sat Dec 26, 2015 3:34 am

Hi all,

Trying to upgrade from 2.0.1.1 to 2.1.0.1 and i get this when i click the continue button from the upgrade page. Thoughts?

Trying to upgrade and got this.

Notice: Use of undefined constant DB_PORT - assumed 'DB_PORT' in / / / / /install/model/upgrade.php on line 139

Warning: mysqli::mysqli() expects parameter 5 to be long, string given in / / / / /system/library/db/mysqli.php on line 7

Warning: mysqli::set_charset(): Couldn't fetch mysqli in / / / / /system/library/db/mysqli.php on line 14

Warning: mysqli::query(): Couldn't fetch mysqli in / / / / /system/library/db/mysqli.php on line 15

Thanks in advance guys,
Matt

Warning: DB\MySQLi::query(): Couldn't fetch mysqli in / / / / /system/library/db/mysqli.php on line 21

Notice: Trying to get property of non-object in / / / / /install/model/upgrade.php on line 146

Warning: Invalid argument supplied for foreach() in / / / / /install/model/upgrade.php on line 146

Warning: mysqli::query(): Couldn't fetch mysqli in / / / / /system/library/db/mysqli.php on line 19

Notice: Trying to get property of non-object in / / / / /install/model/upgrade.php on line 314

Warning: Invalid argument supplied for foreach() in / / / / /install/model/upgrade.php on line 314

Notice: Undefined index: opn_customer_group in / / / / /install/model/upgrade.php on line 332

Warning: in_array() expects parameter 2 to be array, null given in / / / / /install/model/upgrade.php on line 332

Notice: Undefined index: opn_product_option in / / / / /install/model/upgrade.php on line 348

Warning: in_array() expects parameter 2 to be array, null given in / / / / /install/model/upgrade.php on line 348

Notice: Trying to get property of non-object in / / / / /install/model/upgrade.php on line 357

Warning: Invalid argument supplied for foreach() in / / / / /install/model/upgrade.php on line 357

Warning: mysqli::query(): Couldn't fetch mysqli in / / / / /system/library/db/mysqli.php on line 19

Warning: DB\MySQLi::query(): Couldn't fetch mysqli in / / / / /system/library/db/mysqli.php on line 21

Notice: Trying to get property of non-object in / / / / /install/model/upgrade.php on line 368

Warning: Invalid argument supplied for foreach() in / / / / /install/model/upgrade.php on line 368

Notice: Trying to get property of non-object in / / / / /install/model/upgrade.php on line 391

Warning: Invalid argument supplied for foreach() in / / / / /install/model/upgrade.php on line 391

Notice: Trying to get property of non-object in / / / / /install/model/upgrade.php on line 402

Warning: Invalid argument supplied for foreach() in / / / / /install/model/upgrade.php on line 402

Notice: Trying to get property of non-object in / / / / /install/model/upgrade.php on line 425

Warning: Invalid argument supplied for foreach() in / / / / /install/model/upgrade.php on line 425

Warning: mysqli::query(): Couldn't fetch mysqli in / / / / /system/library/db/mysqli.php on line 19

Warning: DB\MySQLi::query(): Couldn't fetch mysqli in / / / / /system/library/db/mysqli.php on line 21

Notice: Trying to get property of non-object in / / / / /install/model/upgrade.php on line 441

Warning: Invalid argument supplied for foreach() in / / / / /install/model/upgrade.php on line 441

Warning: Cannot modify header information - headers already sent by (output started at / / / / /install/model/upgrade.php:139) in / / / / /system/library/response.php on line 12

Warning: mysqli::close(): Couldn't fetch mysqli in / / / / /system/library/db/mysqli.php on line 58

New member

Posts

Joined
Mon Dec 12, 2011 8:49 pm

Post by Randem » Sat Dec 26, 2015 4:11 am

It seems like you are having config.php file issues with parameters missing such as DB_PORT.
define('DB_PORT', '3306');
I imagine that will not be the last thing that you will be missing...
Take a look here for some helpful info:

http://forum.opencart.com/viewtopic.php?f=181&t=156002
http://forum.opencart.com/viewtopic.php?f=181&t=155764

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by mcurtis » Sat Dec 26, 2015 4:15 am

Thanks for the quick response, but i am going from 2.0.1.1 to 2.1.0.1 and the links you sent were from 1.5 to 2.0. Is there a way to manually fix this or just upload a new config file?

New member

Posts

Joined
Mon Dec 12, 2011 8:49 pm

Post by Randem » Mon Dec 28, 2015 4:58 am

The script (as noted) can move from any lesser database version to the current. It is the final destination you are looking for correct? If you follow the direction you will get a current config.php file (root & admin) that you can use for the v2.1.0.1 version database. My advise is not to take any shortcuts in the migration and not to use a live database.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am
Who is online

Users browsing this forum: No registered users and 5 guests